import { ElementRef, AfterViewInit, ViewContainerRef, Renderer2 } from '@angular/core';
import { JoyrideStepsContainerService } from "../services/joyride-steps-container.service";
import { JoyrideOptionsService } from '../services/joyride-options.service';
export declare const TARGET_ATTRIBUTE = "data-joyride-step-number";
export declare class JoyrideDirective implements AfterViewInit {
    private el;
    private readonly joyrideStepsContainer;
    private readonly optionsService;
    private readonly viewContainerRef;
    private readonly renderer;
    stepNumber: number;
    title?: string;
    text?: string;
    stepPosition?: string;
    constructor(el: ElementRef, joyrideStepsContainer: JoyrideStepsContainerService, optionsService: JoyrideOptionsService, viewContainerRef: ViewContainerRef, renderer: Renderer2);
    ngAfterViewInit(): void;
    private getStepNumber();
    private validateInputs();
}
